Class | BasicObject
In: | lib/standard/facets/basicobject.rb
Parent: | Object

BasicObject provides an abstract base class with no predefined methods (except for `__send__` and `__id__`). BlankSlate is useful as a base class when writing classes that depend upon `method_missing` (e.g. dynamic proxies).

### Methods

hide

### Public Class methods

hide(name)

Hide the method named `name` in the BlankSlate class. Don‘t hide `instance_eval` or any method beginning with "__".

According to 1.9.1 it should have only these methods:

- #send
- instance_eval
- instance_exec
- equal?
- #==
- #!
- #!=
- respond_to?

Seems to me it should have #id too.

[Validate]